<?xml version="1.0" encoding="UTF-8"?>
<interface>
  <menu id="primary_menu">
    <section>
      <item>
        <attribute name="label" translatable="yes" comments="Menubutton in headerbar for starting the safe creation process">_New Safe</attribute>
        <attribute name="action">app.new</attribute>
      </item>
      <item>
        <attribute name="label" translatable="yes" comments="Menubutton in headerbar for starting the safe opening process (for existing safe)">_Open Safe</attribute>
        <attribute name="action">app.open</attribute>
      </item>
    </section>
    <section>
      <item>
        <attribute name="label" translatable="yes">_Preferences</attribute>
        <attribute name="action">app.settings</attribute>
      </item>
      <item>
        <attribute name="label" translatable="yes">_Keyboard Shortcuts</attribute>
        <attribute name="action">win.show-help-overlay</attribute>
      </item>
      <item>
        <attribute name="label" translatable="yes" comments="&quot;Password Safe&quot; is the application name">_About Password Safe</attribute>
        <attribute name="action">app.about</attribute>
      </item>
    </section>
  </menu>
  <object class="HdyHeaderBar" id="headerbar">
    <property name="visible">True</property>
    <property name="can_focus">False</property>
    <property name="title" translatable="yes" comments="Application title in headerbar.">Password Safe</property>
    <property name="subtitle" translatable="yes" comments="Headerbar subtitle for the keepass safe unlock screen.">Open Safe</property>
    <property name="show_close_button">True</property>
    <child>
      <object class="GtkBox" id="linkedbox_left">
        <property name="visible">True</property>
        <property name="can_focus">False</property>
        <child>
          <object class="GtkButton" id="back_button">
            <property name="visible">True</property>
            <property name="can_focus">True</property>
            <property name="receives_default">True</property>
            <child>
              <object class="GtkImage" id="back_icon">
                <property name="visible">True</property>
                <property name="can_focus">False</property>
                <property name="icon_name">go-previous-symbolic</property>
              </object>
            </child>
          </object>
        </child>
      </object>
    </child>
    <child>
      <object class="GtkMenuButton" id="menupopover_button">
        <property name="visible">True</property>
        <property name="can_focus">True</property>
        <property name="receives_default">True</property>
        <property name="menu_model">primary_menu</property>
        <child>
          <object class="GtkImage">
            <property name="visible">True</property>
            <property name="can_focus">False</property>
            <property name="icon_name">open-menu-symbolic</property>
          </object>
        </child>
      </object>
      <packing>
        <property name="pack_type">end</property>
      </packing>
    </child>
  </object>
  <object class="HdyClamp" id="unlock_database_clamp">
    <property name="visible">True</property>
    <property name="margin_start">18</property>
    <property name="margin_end">18</property>
    <property name="margin_top">18</property>
    <property name="margin_bottom">18</property>
    <property name="maximum_size">300</property>
    <child>
      <object class="GtkBox" id="unlock_database_stack_box">
        <property name="visible">True</property>
        <property name="can_focus">False</property>
        <property name="hexpand">True</property>
        <property name="vexpand">True</property>
        <property name="orientation">vertical</property>
        <property name="spacing">25</property>
        <child>
          <object class="GtkStack" id="unlock_database_stack">
            <property name="transition_type">crossfade</property>
            <child>
              <object class="GtkBox" id="password_unlock_stack_page">
                <property name="visible">True</property>
                <property name="can_focus">False</property>
                <property name="valign">end</property>
                <property name="vexpand">True</property>
                <property name="orientation">vertical</property>
                <child>
                  <object class="GtkImage" id="password_unlock_image">
                    <property name="visible">True</property>
                    <property name="can_focus">False</property>
                    <property name="pixel_size">100</property>
                    <property name="icon_name">dialog-password-symbolic</property>
                  </object>
                </child>
                <child>
                  <object class="GtkLabel" id="password_unlock_header_label">
                    <property name="visible">True</property>
                    <property name="can_focus">False</property>
                    <property name="label" translatable="yes">Safe is Locked</property>
                    <property name="ellipsize">middle</property>
                    <attributes>
                      <attribute name="weight" value="normal"/>
                      <attribute name="size" value="18000"/>
                    </attributes>
                  </object>
                </child>
                <child>
                  <object class="GtkLabel" id="password_unlock_description_label">
                    <property name="visible">True</property>
                    <property name="can_focus">False</property>
                    <property name="label" translatable="yes">Enter password to unlock</property>
                    <property name="wrap">True</property>
                    <style>
                      <class name="dim-label"/>
                    </style>
                  </object>
                </child>
                <child>
                  <object class="GtkBox" id="password_unlock_input_box">
                    <property name="visible">True</property>
                    <property name="can_focus">False</property>
                    <property name="hexpand">True</property>
                    <property name="margin_top">10</property>
                    <child>
                      <object class="GtkEntry" id="password_unlock_entry">
                        <property name="visible">True</property>
                        <property name="can_focus">True</property>
                        <property name="hexpand">True</property>
                        <property name="visibility">False</property>
                        <property name="invisible_char">●</property>
                        <property name="secondary_icon_name">user-not-tracked-symbolic</property>
                        <property name="input_purpose">password</property>
                        <style>
                          <class name="passwordEntry"/>
                        </style>
                      </object>
                    </child>
                    <child>
                      <object class="GtkButton" id="password_unlock_button">
                        <property name="visible">True</property>
                        <property name="can_focus">True</property>
                        <property name="receives_default">True</property>
                        <property name="tooltip_text" translatable="yes">Unlock</property>
                        <property name="halign">end</property>
                        <child>
                          <object class="GtkImage" id="password_unlock_button_image">
                            <property name="visible">True</property>
                            <property name="can_focus">False</property>
                            <property name="icon_name">changes-allow-symbolic</property>
                          </object>
                        </child>
                      </object>
                    </child>
                    <style>
                      <class name="linked"/>
                    </style>
                  </object>
                </child>
              </object>
              <packing>
                <property name="name">password_unlock</property>
                <property name="title" translatable="yes">Password</property>
                <property name="icon_name">input-dialpad-symbolic</property>
              </packing>
            </child>
            <child>
              <object class="GtkBox" id="keyfile_unlock_stack_page">
                <property name="visible">True</property>
                <property name="can_focus">False</property>
                <property name="halign">center</property>
                <property name="valign">end</property>
                <property name="vexpand">True</property>
                <property name="orientation">vertical</property>
                <child>
                  <object class="GtkImage" id="keyfile_unlock_image">
                    <property name="visible">True</property>
                    <property name="can_focus">False</property>
                    <property name="pixel_size">100</property>
                    <property name="icon_name">dialog-password-symbolic</property>
                  </object>
                </child>
                <child>
                  <object class="GtkLabel" id="keyfile_unlock_header_label">
                    <property name="visible">True</property>
                    <property name="can_focus">False</property>
                    <property name="label" translatable="yes">Safe is Locked</property>
                    <property name="ellipsize">middle</property>
                    <attributes>
                      <attribute name="weight" value="normal"/>
                      <attribute name="size" value="18000"/>
                    </attributes>
                  </object>
                </child>
                <child>
                  <object class="GtkLabel" id="keyfile_unlock_description_label">
                    <property name="visible">True</property>
                    <property name="can_focus">False</property>
                    <property name="margin_start">5</property>
                    <property name="margin_end">5</property>
                    <property name="label" translatable="yes">Select keyfile to unlock</property>
                    <property name="wrap">True</property>
                    <style>
                      <class name="dim-label"/>
                    </style>
                  </object>
                </child>
                <child>
                  <object class="GtkBox" id="keyfile_unlock_box">
                    <property name="width_request">250</property>
                    <property name="visible">True</property>
                    <property name="can_focus">False</property>
                    <property name="halign">center</property>
                    <property name="margin_top">10</property>
                    <child>
                      <object class="GtkButton" id="keyfile_unlock_select_button">
                        <property name="visible">True</property>
                        <property name="can_focus">True</property>
                        <property name="receives_default">True</property>
                        <property name="halign">end</property>
                        <property name="valign">end</property>
                        <property name="hexpand">True</property>
                        <property name="vexpand">True</property>
                        <child>
                          <object class="GtkLabel">
                            <property name="visible">True</property>
                            <property name="can_focus">False</property>
                            <property name="label" translatable="yes">_Open Keyfile</property>
                            <property name="use_underline">True</property>
                          </object>
                        </child>
                        <style>
                          <class name="suggested-action"/>
                        </style>
                      </object>
                    </child>
                    <child>
                      <object class="GtkButton" id="keyfile_unlock_button">
                        <property name="visible">True</property>
                        <property name="can_focus">True</property>
                        <property name="receives_default">True</property>
                        <property name="tooltip_text" translatable="yes">Unlock</property>
                        <property name="halign">start</property>
                        <property name="valign">start</property>
                        <property name="hexpand">True</property>
                        <property name="vexpand">True</property>
                        <child>
                          <object class="GtkImage" id="keyfile_unlock_button_image">
                            <property name="visible">True</property>
                            <property name="can_focus">False</property>
                            <property name="icon_name">changes-allow-symbolic</property>
                          </object>
                        </child>
                      </object>
                    </child>
                    <style>
                      <class name="linked"/>
                    </style>
                  </object>
                </child>
              </object>
              <packing>
                <property name="name">keyfile_unlock</property>
                <property name="title" translatable="yes">Keyfile</property>
                <property name="icon_name">mail-attachment-symbolic</property>
              </packing>
            </child>
            <child>
              <object class="GtkBox" id="composite_unlock_stack_page">
                <property name="visible">True</property>
                <property name="can_focus">False</property>
                <property name="valign">end</property>
                <property name="hexpand">True</property>
                <property name="vexpand">True</property>
                <property name="orientation">vertical</property>
                <child>
                  <object class="GtkImage" id="composite_unlock_image">
                    <property name="visible">True</property>
                    <property name="can_focus">False</property>
                    <property name="pixel_size">100</property>
                    <property name="icon_name">dialog-password-symbolic</property>
                  </object>
                </child>
                <child>
                  <object class="GtkLabel" id="composite_unlock_header_label">
                    <property name="visible">True</property>
                    <property name="can_focus">False</property>
                    <property name="label" translatable="yes">Safe is Locked</property>
                    <property name="ellipsize">middle</property>
                    <attributes>
                      <attribute name="weight" value="normal"/>
                      <attribute name="size" value="18000"/>
                    </attributes>
                  </object>
                </child>
                <child>
                  <object class="GtkLabel" id="composite_unlock_description_label">
                    <property name="visible">True</property>
                    <property name="can_focus">False</property>
                    <property name="label" translatable="yes">Enter password and select keyfile to unlock</property>
                    <property name="wrap">True</property>
                    <style>
                      <class name="dim-label"/>
                    </style>
                  </object>
                </child>
                <child>
                  <object class="GtkBox" id="composite_unlock_input_box">
                    <property name="visible">True</property>
                    <property name="can_focus">False</property>
                    <property name="hexpand">True</property>
                    <property name="margin_top">10</property>
                    <child>
                      <object class="GtkEntry" id="composite_unlock_entry">
                        <property name="visible">True</property>
                        <property name="can_focus">True</property>
                        <property name="valign">end</property>
                        <property name="hexpand">True</property>
                        <property name="vexpand">True</property>
                        <property name="visibility">False</property>
                        <property name="invisible_char">●</property>
                        <property name="input_purpose">password</property>
                        <property name="secondary_icon_name">user-not-tracked-symbolic</property>
                      </object>
                    </child>
                    <child>
                      <object class="GtkButton" id="composite_unlock_button">
                        <property name="visible">True</property>
                        <property name="can_focus">True</property>
                        <property name="receives_default">True</property>
                        <property name="tooltip_text" translatable="yes">Unlock</property>
                        <child>
                          <object class="GtkImage" id="composite_unlock_button_image">
                            <property name="visible">True</property>
                            <property name="can_focus">False</property>
                            <property name="icon_name">changes-allow-symbolic</property>
                          </object>
                        </child>
                      </object>
                    </child>
                    <child>
                      <object class="GtkButton" id="composite_unlock_select_button">
                        <property name="visible">True</property>
                        <property name="can_focus">True</property>
                        <property name="receives_default">True</property>
                        <property name="valign">end</property>
                        <property name="vexpand">True</property>
                        <child>
                          <object class="GtkImage">
                            <property name="visible">True</property>
                            <property name="can_focus">False</property>
                            <property name="icon_name">document-open-symbolic</property>
                          </object>
                        </child>
                        <style>
                          <class name="suggested-action"/>
                        </style>
                      </object>
                    </child>
                    <style>
                      <class name="linked"/>
                    </style>
                  </object>
                </child>
              </object>
              <packing>
                <property name="name">composite_unlock</property>
                <property name="title" translatable="yes" comments="Composite unlock is a authentication method where both password and keyfile are required">Composite</property>
                <property name="icon_name">insert-link-symbolic</property>
              </packing>
            </child>
          </object>
        </child>
        <child>
          <object class="GtkStackSwitcher" id="unlock_database_stack_switcher">
            <property name="visible">True</property>
            <property name="can_focus">False</property>
            <property name="halign">center</property>
            <property name="valign">start</property>
            <property name="vexpand">True</property>
            <property name="stack">unlock_database_stack</property>
          </object>
        </child>
      </object>
    </child>
  </object>
</interface>
